//so the user gets this data from /timelogs?userId=x
//however, given the data below could be over many years and therefore, thousands of data points.. some consideration should be given for reduced format.
// consideration should be to have a calendarWeek argument, i.e.: /timelogs?userId=x&calendarWeek=y. 
//	If no calendarWeek argument is provided, then it should default to the current calendarweek.
{
	availableYears: [2017],
	data: [
		2017: [	//year of the logs collection
			1:[	//calendar week of year.
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				}
			],
			2:[
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				},
				{
					LogId: n,
					UserId: faker.random.number(maxUserCount),
					Timestamp: faker.date.past(),
					Direction: directions[faker.random.number(1)]
				}
			]
		],
	]
}